Subject: Re: linux-next: build failure after merge of the amdgpu tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 19 Oct 2023 12:06:18 +1100

Hi all,

On Tue, 10 Oct 2023 12:43:57 +1100 Stephen Rothwell <[email-masked]> wrote:
>
> After merging the amdgpu tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> drivers/gpu/drm/amd/amdgpu/../display/dc/dml2/display_mode_core.c: In function 'dml_core_mode_support':
> drivers/gpu/drm/amd/amdgpu/../display/dc/dml2/display_mode_core.c:8229:1: error: the frame size of 2736 bytes is larger than 2048 bytes [-Werror=frame-larger-than=]
>  8229 | } // dml_core_mode_support
>       | ^
> cc1: all warnings being treated as errors
> 
> Caused by commit
> 
>   7966f319c66d ("drm/amd/display: Introduce DML2")
> 
> (or maybe something later that changed storage size).
> 
> I have used the amdgpu tree from next-20231009 for today.

This build failure now (presumably) exists in the drm tree.  I am still
applying the 2 patches from Rodrigo to my tree as a work around.

I would have expected that this was fixed in the amdgpu tree before
Dave was asked to merge it ...
-- 
Cheers,
Stephen Rothwell